Bug 159947 - [patch] databases/gnats4 set default index type to plain
Summary: [patch] databases/gnats4 set default index type to plain
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-20 22:00 UTC by Olli Hauer
Modified: 2012-03-01 02:40 UTC (History)
1 user (show)

See Also:


Attachments
gnats4.diff (740 bytes, patch)
2011-08-20 22:00 UTC, Olli Hauer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olli Hauer freebsd_committer 2011-08-20 22:00:25 UTC
gnats4 will core dump on a cvsup'd gnats index with default settings.
The following patch will fix this.

A local gnats mirror is often the only way to rip out patches in a
format which is usefull for further PR handling / patching, so it will be 
nice if the default database type does match the upstream (gnats-freebsd).
Maybe this trivial fix helps even others to move from gnats to gnats4
Comment 1 Edwin Groothuis freebsd_committer 2011-08-20 22:00:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->vd

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Philip M. Gollucci freebsd_committer 2012-02-11 23:47:36 UTC
Responsible Changed
From-To: vd->pgollucci

committer&maintainer timeout (vd ; 175 days) / last commit: 61 days ago
Comment 3 Philip M. Gollucci freebsd_committer 2012-03-01 02:36:32 UTC
State Changed
From-To: open->closed

Committed, Thanks!
Comment 4 dfilter service freebsd_committer 2012-03-01 02:36:43 UTC
pgollucci    2012-03-01 02:36:28 UTC

  FreeBSD ports repository

  Added files:
    databases/gnats4/files patch-gnats__dbconfig.in 
  Log:
  gnats4 will core dump on a cvsup'd gnats index with default settings.
  The following patch will fix this.
  
  A local gnats mirror is often the only way to rip out patches in a
  format which is usefull for further PR handling / patching, so it will be
  nice if the default database type does match the upstream (gnats-freebsd).
  Maybe this trivial fix helps even others to move from gnats to gnats4
  
  PR:             ports/159947
  Submitted by:   ohauer
  Approved by:    maintainer timeout (vd ; 175 days)
  
  Revision  Changes    Path
  1.1       +12 -0     ports/databases/gnats4/files/patch-gnats__dbconfig.in (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"